Get list of all annotations
curl --request GET \
--url https://{region}.affinda.com/v3/annotations \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/annotations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 10,
"results": [
{
"id": 1,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"document": "<string>",
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"dataPoint": "<string>",
"field": "<string>",
"parent": 123
}
],
"next": "<string>",
"previous": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Annotations
Get list of all annotations
Returns your annotations.
GET
/
v3
/
annotations
Get list of all annotations
curl --request GET \
--url https://{region}.affinda.com/v3/annotations \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/annotations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 10,
"results": [
{
"id": 1,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"document": "<string>",
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"dataPoint": "<string>",
"field": "<string>",
"parent": 123
}
],
"next": "<string>",
"previous": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Query Parameters
Filter by document. Unique identifier for the document
Was this page helpful?
⌘I